# Function some

- some<T>(iterable, p): Promise<boolean>

- The equivalent of Array.prototype.some for async iterators.

  #### Type Parameters

  - T

  #### Parameters

  - iterable: AsyncIterable<T, any, any>

    The async iterator to check.

  - p: ((x: T, index?: number) => boolean | PromiseLike<boolean>)

    The predicate function.

    - - (x, index?): boolean | PromiseLike<boolean>

      - #### Parameters

        - x: T
        - `Optional` index: number

        #### Returns boolean | PromiseLike<boolean>

  #### Returns Promise<boolean>